Creates an account alert
Request Headers
| Header | Value | Required | Description |
|---|---|---|---|
| ECI-ApiKey | string | Yes | Your API key. See Authentication. |
| Content-Type | application/json | Yes | All requests must specify JSON content type, including the request body. |
Path Parameters
| Name | Description | Type | Required |
|---|---|---|---|
| accountId | The identifier for the account to create alert is on | integer (int32) | Required |
Request Body
AccountAlertRequest
| Property | Description | Type |
|---|---|---|
| allowBillProcessing | Required | boolean |
| beginDate | Required Must be between 1899-12-31 and 3000-01-01 | string (date-time) |
| endDate | Required Must be between 1899-12-31 and 3000-01-01 Must be greater than or equal to BeginDate | string (date-time) |
| message | Required | string |
Example Request Body
{ "allowBillProcessing": false, "beginDate": "2026-03-30", "endDate": "2026-03-30", "message": "string"
}
Responses
200
OK
The request succeeded and the response body contains the requested data.
Response Body Parameters
AccountAlertResponse
| Property | Description | Type |
|---|---|---|
| alertId | integer (int32) | |
| allowBillProcessing | boolean | |
| beginDate | string (date-time) | |
| endDate | string (date-time) | |
| message | string |
Example Response
{ "alertId": 1, "allowBillProcessing": false, "beginDate": "2026-03-30", "endDate": "2026-03-30", "message": "string"
}